---
title: VRDisplay.displayName
slug: Web/API/VRDisplay/displayName
tags:
  - API
  - Experimental
  - Property
  - Reference
  - VR
  - VRDisplay
  - Virtual Reality
  - WebVR
  - displayName
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>displayName</code></strong> read-only property of the {{domxref("VRDisplay")}} interface returns a human-readable name to identify the <code>VRDisplay</code>.</p>

<p>This will generally be something like "Oculus VR HMD (HMD)" or "Oculus VR HMD (Sensor)".</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myDisplayName = vrDisplayInstance.displayName;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} containing the human-readable name of the specific VR display.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VRDisplayCapabilities", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrdisplay-displayname', 'displayName')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRDisplay.displayName")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
